Skip to main content
Version: V3.0

Notice Management API


Get Listen Config

Request URL

POST /api/v1.0/invoke/open-ability/method/user-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
listen_list[]StringBodyListen list
family: listen notice of changes in family
account: listen notice of changes in account
device: listen notice of changes in device
space: listen notice of changes in space
scene: listen notice of changes in scene
communication: listen notice of changes in communication
maintenance: listen notice of changes in maintenance
booking: listen notice of changes in booking

Request Example

POST /api/v1.0/invoke/open-ability/method/user-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_listen_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r8b5a73f8dd84abaa94dcs248be49b0db"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"listen_list": [
"account",
"device"
]
}
}

Failure Return Example

See Failure Return Example



Turn on Listen Config

Request URL

POST /api/v1.0/invoke/open-ability/method/user-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
listen_list[]StringBodyYesTurn on listen list
family: listen notice of changes in family
account: listen notice of changes in account
device: listen notice of changes in device
space: listen notice of changes in space
scene: listen notice of changes in scene
communication: listen notice of changes in communication
maintenance: listen notice of changes in maintenance
booking: listen notice of changes in booking
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/user-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "turn_on_listen_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r8b5a73f8dd84abaa94dcs248be49b0db",
"listen_list": [
"account",
"device"
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Turn off Listen Config

Request URL

POST /api/v1.0/invoke/open-ability/method/user-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
listen_list[]StringBodyYesTurn off listen list
family: listen notice of changes in family
account: listen notice of changes in account
device: listen notice of changes in device
space: listen notice of changes in space
scene: listen notice of changes in scene
communication: listen notice of changes in communication
maintenance: listen notice of changes in maintenance
booking: listen notice of changes in booking
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/user-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "turn_off_listen_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r8b5a73f8dd84abaa94dcs248be49b0db",
"listen_list": [
"account",
"device"
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example